Subject: Re: linking gcc & vc++ object files
From: [email-masked] (Pete Jordan)

4 Aug 1998 03:23:17 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]
Cc: [email-masked]

David Young <[email-masked]> wrote:

> In order to get object files generated by gcc to link with object files
> generated by VC++ we have to append a "@n" suffix
 [...]
> QUESTION: What is the "@n" all about?

It's a parameter count (x4) for STDCALL functions. Why x4 I have no 
idea...

As per your backsearches in the list, I've sorted this when linking to an 
egcs DLL from VC++ by putting EXPORTS entries like:

	Exec=Exec@4

in my DLL .def file. I haven't (yet) found a way of direct linking VC++ 
DLL entries into my egcs code, but a combination of LoadLibrary() and 
calls to ImportProc() does what I need.

HTH,

Pete Jordan ~ Horus Communications Ltd ~ http://www.horus.cix.co.uk/

"As soon as we have defined something, we have ipso facto created
 three things: whatever is included in our definition, whatever is
 not included in our definition, and the relationship between them."
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".